Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus.snapshot
Interface Event

Show UML class diagram

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SnapshotElement

All Known Subinterfaces:
  CompositeEvent

All Known Implementing Classes:
  CompositeEventImpl, EventImpl

    public interface Event

extends SnapshotElement

A representation of the model object 'Event'. Event.

The following features are supported:

- `Derivations`
- `Part Role`
- `Direct Post`

See Also:
  `SnapshotPackage.getEvent()`

Method Summary
`org.eclipse.emf.common.util.EList<Derivation>` | `getDerivations()` Returns the value of the 'Derivations' containment reference list.
`String` | `getPartRole()` Returns the value of the 'Part Role' attribute.
`boolean` | `isDirectPost()` Returns the value of the 'Direct Post' attribute.
`void` | `setDirectPost(boolean value)` Sets the value of the '`Direct Post`' attribute.
`void` | `setPartRole(String value)` Sets the value of the '`Part Role`' attribute.

Methods inherited from interface com.hammurapi.eventbus.snapshot.SnapshotElement
`getDetails, getId, getName, getSnapshot, setDetails, setId, setName, setSnapshot`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDerivations

    org.eclipse.emf.common.util.EList<Derivation> getDerivations()

  Returns the value of the 'Derivations' containment reference list. The list contents are of type `Derivation`.

  If the meaning of the 'Derivations' containment reference list isn't clear, there really should be more of a description here...

  Derivations.

  Returns:
    the value of the 'Derivations' containment reference list.
  See Also:
    `SnapshotPackage.getEvent_Derivations()`

### getPartRole

    String getPartRole()

  Returns the value of the 'Part Role' attribute. Role of this event in the composite.

  Returns:
    the value of the 'Part Role' attribute.
  See Also:
    `setPartRole(String)`, `SnapshotPackage.getEvent_PartRole()`

### setPartRole

    void setPartRole(String value)

  Sets the value of the '`Part Role`' attribute.

  Parameters:
    `value` - the new value of the 'Part Role' attribute.
  See Also:
    `getPartRole()`

### isDirectPost

    boolean isDirectPost()

  Returns the value of the 'Direct Post' attribute. True means that event was posted to the bus by client code, false means that event was derived by handlers. Note that directly posted event can also be derived.

  Returns:
    the value of the 'Direct Post' attribute.
  See Also:
    `setDirectPost(boolean)`, `SnapshotPackage.getEvent_DirectPost()`

### setDirectPost

    void setDirectPost(boolean value)

  Sets the value of the '`Direct Post`' attribute.

  Parameters:
    `value` - the new value of the 'Direct Post' attribute.
  See Also:
    `isDirectPost()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD